<div class="grid grid-cols-12 min-h-screen">
  {{template "partials/sidebar" (dict "routeSuffix" .routeSuffix "role" .role)}}

  <div class="col-span-7 sm:col-span-8 lg:col-span-9 p-6 bg-slate-50"></div>
</div>

<div class="fixed inset-0 p-4 flex items-center justify-center backdrop-blur-sm">
  <div class="flex max-w-screen-md rounded-md shadow-lg shadow-gray-500/10">
    <div class="flex items-center justify-center w-1/2 bg-gradient-to-b from-sky-300 to-blue-400 rounded-l-md border-y border-l border-sky-400 border-b-blue-500">
      <svg class="w-40 h-40 text-blue-700" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"><path d="M5 13a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2v6a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2v-6z"/><path d="M11 16a1 1 0 1 0 2 0a1 1 0 0 0-2 0m-3-5V7a4 4 0 1 1 8 0v4"/></g></svg>
    </div>

    <div class="w-1/2 bg-white rounded-r-md p-6 border-y border-r border-slate-200">
      <h1 class="text-3xl font-medium mb-3">Log in</h1>
      <p class="mb-5">Selecteer een rol om mee 'in te loggen'. Voor het inloggen in geen wachtwoord nodig.</p>

      <form action="{{.intendedURL}}" method="get">
        {{range $i, $role := configRoles}}
        <label class="flex items-center mb-2 px-3 py-2 rounded-md cursor-pointer hover:text-sky-900 hover:bg-sky-200/75 [&:has(input:checked)]:text-sky-900 [&:has(input:checked)]:bg-sky-200/75">
          <input class="form-radio mr-3 text-sky-600 bg-white border-gray-300 focus:ring-sky-500" type="radio" name="role" value="{{.Name}}"{{if eq $i 0}} checked{{end}}>
          {{.Label}}
        </label>
        {{else}}
        Geen rollen geconfigureerd.
        {{end}}

        <button
          class="flex w-full items-center justify-center mt-7 text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm"
          type="submit">
          Log in
          <svg class="w-4 h-4 ml-1 -mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="m9 6l6 6l-6 6"/></svg>
        </button>
      </form>
    </div>
  </div>
</div>
